
QGIS Application - Bug report #12618

2.8.1 circles which don't seem to be on any layer

2015-04-21 06:37 AM - Mark Percival

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 20736

Description

I've got some strange things happening with 2.8.1-Wien in that, I open a project and I get a load of circles which don't seem to be on any

layer - I also get this in the 2.9.0-Master (CR 213a22b) version but with a different set of layers. I've been through a process of checking

layers (removing, changing styles etc.) until I found it was being caused by Image fills to polygons (I believe so anyway) - this was

common in 2 different projects, with different layers.  Once the circles appear you can't get rid of them by changing the style and they are

not consistent as to where they appear - they will also show in composer but not in a map, or map alone or both!

I have attached a screen-shot to illustrate.

I've recreated both projects from scratch (without image fills) and the problem hasn't re-occured.

Related issues:

Related to QGIS Application - Bug report # 12762: Map polluted by circles ?! Closed 2015-05-18

History

#1 - 2015-04-21 12:01 PM - Nyall Dawson

- Status changed from Open to Feedback

Looks to me like you have empty diagrams enabled for a layer - can you confirm?

#2 - 2015-04-24 08:23 AM - Giovanni Manghi

- Category set to Map Canvas

Nyall Dawson wrote:

Looks to me like you have empty diagrams enabled for a layer - can you confirm?

Hi Nyall,

I have been bitten a few days ago by this bug(?) and I'm pretty sure it was not caused by empty diagrams because I have seen this circles in a project

where I have never used diagrams. In my case the circles where visible once the project (done in qgis 2.9) was published via QGIS server 2.8. After

updating the server to 2.9 the circles stopped to show. Unlike the above report I also not used image fills but only solid colors with a bit of transparency.

#3 - 2015-04-26 02:50 PM - Nyall Dawson

I'm 99% confident it's caused by empty diagrams - can you double check to help me confirm?
#4 - 2015-04-26 03:13 PM - Giovanni Manghi

Nyall Dawson wrote:

I'm 99% confident it's caused by empty diagrams - can you double check to help me confirm?

Hi Nyall,

the way this circles showed seems to make sense to be something related to diagrams, I have anyway checked my project and the diagram options is

disabled and there are no diagrams defined, empty or with any defined options.

#5 - 2015-04-26 08:09 PM - cgsbob -

Hi Nyall,

the way this circles showed seems to make sense to be something related to diagrams, I have anyway checked my project and the diagram options

is disabled and there are no diagrams defined, empty or with any defined options.

I had an old project that showed the circles after saving it QGIS 2.8.1. I wasn't using diagrams, but the diagram checkbox was checked after saving the

project.  Unchecking diagram mode fixed it for me.

#6 - 2015-05-10 08:20 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
